use codec::Decode;
use serde::{Serialize, Deserialize};

#[derive(Debug, Default, Clone, PartialEq, Eq, Serialize, Deserialize, Decode)]
pub struct Nominator {
    pub account_id: [u8; 32],
    pub address: String,
    pub value: u128,
}

#[derive(Debug, Default, Clone, PartialEq, Eq, Serialize, Deserialize, Decode)]
pub struct Nominations {
    pub targets: Vec<[u8; 32]>,
    pub submitted_in: u32,
    pub suppressed: bool,
}
